# PCCompositeAddPC

Adds another PC to the composite PC.

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCCompositeAddPC(PC pc,PCType type)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - the type of the new preconditioner

### Keywords

PC, composite preconditioner, add

Level:Developer
Location: src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages